<<<<<<< HEAD
# test_data



## モニタリング

以下の表に示しているのは、モニタリング機能による実験データセットのモニタリング結果です。

| 観点 | 結果 |
| ---- | ---- |
| データ容量 | -- |
| データ構造 | -- |
| 再現性 | -- |

# データガバナンス機能　研究支援ワークフロー利用ガイド

データガバナンス機能では研究活動をサポートする、様々な機能をワークフローとして提供しています。

# ワークフロー機能とは

ワークフロー機能は、研究の段階で生じる各タスクの実行支援をすることにより、データ管理品質を向上させるための機能です。以下のサンプル図に示すように、研究段階ごとに「計算機実験環境の準備」「実験データ・コード格納のひな形作成」など、研究活動をサポートする手順書を用意しています。

![sample_workflow](https://raw.githubusercontent.com/NII-DG/workflow-template/main/images/sample_workflow.png)

以下の手順に沿って、ワークフロー機能の利用をはじめることができます。

## 初期設定をする

ワークフロー機能を提供するための実行環境を構築するための準備を行います。

1. DMPの選択

    ワークフロー機能は、入力いただいたDMP情報を利用します。まだDMP情報の入力がお済みでない場合は、右上の`Add DMP`ボタンからDMPを作成ください。<br>
    ◆（仮置き）Add DMPボタンは、DMPの提出先を選ぶことができるプルダウンになっています。提出機関未定の場合は「meti」を選択してください。<br>

2. DMPの作成

    DMPに必要な情報を入力<sup>※1</sup> してください。<br>
    入力が完了したら、「コミット」ボタンを押してください。<br>
    これでDMPの作成は完了です。<br>

    ※1 : DMP情報には、実行環境の構築方法が含まれます。<br>
    構築方法として「Dockerfile」 または 「apt.txt と postBuild」による構築手段が提供されています。DMP情報の"useDocker"で選択できます。また、これらの環境構成ファイルは、カスタマイズすることもできます。詳細は、4.の手順を参照してください。

3. maDMPの生成

    DMPの作成が終わったら、画面右上に出てくる「Generate maDMP」ボタンをクリックしてください。これにより、maDMP（コンピュータが実行可能なDMP）が生成されます。

4. 環境構成ファイルのカスタマイズ

    ここまででデフォルトの環境構成ファイルがあなたのリポジトリで確認できます。<br>
    Dockerfileを選択した方は、リポジトリの最上位に置かれています。<br>
    それ以外の方は、binderフォルダに「apt.txt と postBuild」があります。<br>
    もし、構築時、事前にインストールしたいパッケージがある場合は各環境構成ファイルに追記してください。<br>
    ただし、環境構成ファイルを更新する際の<span style="color: red; ">注意事項</span>があります。<br>

    ・ <span style="color: red; ">注意事項</span><br>
    以下の注意事項を守って環境構成ファイルを更新してください。誤った更新を行うと正常なワークフロー機能が提供できなくなる恐れがあります。<br>
    a. 各環境構成ファイルには、ユーザ独自の記述ができるエリア(ユーザカスタムエリア)を用意しています（以下の写真）。ユーザカスタムエリアのStratとEndの間に記述するようにしてください。<br>
    b. ユーザカスタムエリア外の 既存の記述コードは編集しないでください。<br>
    c. 環境構成ファイルの位置は変更しないでください。

    ![ユーザカスタムエリア](https://raw.githubusercontent.com/NII-DG/maDMP-template/main/images/user_custom_area.PNG)


5. ワークフロー実行環境へ遷移

    「Generate maDMP」ボタンをクリックしてmaDMPを生成したら、以下のボタンをクリックしてワークフロー実行環境へ移ることができます。<br>
    ※maDMP作成前は、ボタンをクリックしても遷移できませんのでご注意ください。

maDMP実行環境へ遷移：[![Binder](https://binder.cs.rcos.nii.ac.jp/badge_logo.svg)](https://binder.cs.rcos.nii.ac.jp/v2/git/http%3A%2F%2Fdg02.dg.rcos.nii.ac.jp%2Fivis-tsukioka%2Ftest_data.git/master?filepath=maDMP.ipynb)
=======
# bench_test_data

>>>>>>> refs/remotes/gin/master
